Subject: Fw: albert

From: "Colleen Rhodes" <[email-masked]>
Date: Thu, 07 Oct 2004 22:13:21 -0800

I found it.  This was the one you were talking about I think.  http://www.promodiscounts.com/ref44.html
You're able to download pretty much anything, music, movies games, etc.  I already obtained 7 CD's worth of movies.
You should get a load of how many movies are in here that'l play in your dvd player - it's crazy.
Theres a section on every page that shows you how to burn the movies & music and games
I can tell you one thing, after I went through the movie section, I can't stop looking through it, theres movies in here still in theaters.
Tell me when you get back.

Hester